--- asterisk-1.8.5.0-orig/res/res_jabber.c	2011-05-05 18:36:33.000000000 -0400
+++ asterisk-1.8.5.0/res/res_jabber.c	2011-08-02 22:25:10.000000000 -0400
@@ -2003,6 +2003,10 @@
 	struct aji_resource *resource = NULL;
 	struct aji_buddy *buddy = ASTOBJ_CONTAINER_FIND(&client->buddies, pak->from->partial);
 
+	if (!pak->from) {
+		ast_log(LOG_NOTICE, "JABBER: Recieved client info without from field\n");
+		return IKS_FILTER_EAT;
+	}
 	resource = aji_find_resource(buddy, pak->from->resource);
 	if (pak->subtype == IKS_TYPE_RESULT) {
 		if (!resource) {
